const vars = {};
vars.dynamodb_table = process.env.TABLE_NAME
vars.dynamodb_key = process.env.TABLE_KEY
const aws = require('aws-sdk')

aws.config.update({
    region:vars.aws_region
})

exports.handler = async (event,context) => {
    // TODO implement

    console.log("ENVIRONMENT VARIABLES\n" + JSON.stringify(process.env, null, 2))
    console.info("EVENT\n" + JSON.stringify(event, null, 2))
    console.log("CONTEXT\n" + JSON.stringify(context,null,2))
    console.log("VARIABLES\n" + JSON.stringify(vars,null,2))
    const res = {}
    const response = {
            statusCode: 200,
            body: JSON.stringify('Hello from Lambda!'),
            logStream: context.logStreamName,
            message:res
        };
    if(event.type){
        var doc = aws.DynamoDB.DocumentClient()
        const params = {
            TableName:vars.dynamodb_table,
            Key:{}
        }
        if(event.type === "GET"){
            if(event.key){
                params.Key[vars.dynamodb_key] = event.key;
            }
            else if(event[vars.dynamodb_key]){
                params.Key[vars.dynamodb_key] = event[vars.dynamodb_key];
            }
            else{
                res.error = "Expected key attribute with type:GET"
            }
            
        }
        if(event.type === "PUT"){
            if(event.key){
                params.Key[vars.dynamodb_key] = event.key;
            }
            else if(event[vars.dynamodb_key]){
                params.Key[vars.dynamodb_key] = event[vars.dynamodb_key];
            }
            else{
                res.error = "Expected key attribute with type:PUT"
            }

            
        }
    }
    
    return response;
};